v3.0
get
/ec-ors-svc/rest/v3.0/studies/{studyId}/{mode}/inventory/kit-types
Retrieves a kit's summary. Rights: OrsInventoryGet and OrsUnblinded.
Request
Path Parameters
-
mode(required): string
Mode of the study, accepts: test, active, or training.
-
studyId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.
Query Parameters
-
kitRange(required): string
Range of the kit.
-
kitStatus(required): string
Status of the kit.
-
kitTypeId(required): string
ID of the kit type.
-
labelGroupId(required): string
ID of the label group.
-
location(required): string
Location of the kit.
-
lotId(required): string
ID of the lot.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : schema
Type:
Show Source
array-
Array of:
object Kit Type Summary Response
Title:
Kit Type Summary ResponseKit type summary response.
Nested Schema : Kit Type Summary Response
Type:
objectTitle:
Kit Type Summary ResponseKit type summary response.
Show Source
-
kitTypes: array
Kit Types
Title:
Kit TypesKit type summary. -
maxKitNumber: integer
(int32)
Maximum Kit numberExample:
5 -
maxSequenceNumber: integer
(int32)
Kit maximum sequence number.Example:
5 -
minKitNumber: integer
(int32)
Minimum Kit numberExample:
5 -
minSequenceNumber: integer
(int32)
Kit minimum sequence number.Example:
5
Nested Schema : Kit Types
Type:
arrayTitle:
Kit TypesKit type summary.
Show Source
-
Array of:
object KitTypeSummaryTO v4.0
Title:
KitTypeSummaryTO v4.0Contains kit type summary detail.
Nested Schema : KitTypeSummaryTO v4.0
Type:
objectTitle:
KitTypeSummaryTO v4.0Contains kit type summary detail.
Show Source
-
description: string
Kit type description.Example:
Some description for kit -
kitsAvailable: number
(BigDecimal)
Kits available.
-
kitsConserved: number
(BigDecimal)
Title:
Kits ConservedConserved kits. -
kitsDamaged: number
(BigDecimal)
Kit damaged.Example:
5 -
kitsDamagedBySubject: number
(BigDecimal)
Title:
Kits Damaged By SubjectKits damaged by the subject. -
kitsDestroyed: number
(BigDecimal)
Title:
Kits DestroyedDestroyed kits. -
kitsDispensed: number
(BigDecimal)
Kit dispensed.Example:
5 -
kitsExpired: number
(int)
Kits expired.Example:
1 -
kitsInTransit: number
(int)
Kits in transit.Example:
2 -
kitsLostBySubject: number
(BigDecimal)
Title:
Kits Lost By SubjectKits lost by the subject. -
kitsMisallocated: number
(BigDecimal)
Title:
Kits MisallocatedMisallocated kits. -
kitsMissing: number
(BigDecimal)
Title:
Kits MissingMissing kits. -
kitsNew: number
(BigDecimal)
Title:
Kits NewNew kits. -
kitsNotDispensedToSubject: number
(BigDecimal)
Title:
Kits Not Dispensed To SubjectKits not dispensed to the subject. -
kitsNotInUse: number
(BigDecimal)
Title:
Kits Not In UseKits not in use. -
kitsPendingDestruction: number
(int)
Kits pending destruction.Example:
0 -
kitsPreQuarantined: number
(BigDecimal)
Title:
Kits Pre QuarantinedKits in pre-quarantine. -
kitsQuarantined: number
(BigDecimal)
Title:
Kits QuarantinedKits in quarantine. -
kitsReceivedForDestruction: number
(BigDecimal)
Title:
Kits Received For DestructionKits received for destruction. -
kitsRestrictedQuarantined: number
(BigDecimal)
Title:
Kits Restricted QuarantinedKits in restricted quarantine. -
kitsReturnedToSite: number
(int)
Kits returned to site.Example:
1 - kitsTemporarilyUnavailable: number (BigDecimal)
-
kitTypeId: string
(uuid)
Title:
Kit Type IDID of the kit type. -
kitTypeName: string
Kit type name.Example:
Kit1001 -
kitTypeSrcId: string
(uuid)
Kit type ID.
-
packageType: string
Allowed Values:
[ "BLISTERPACK", "BOTTLE", "DEVICE", "SYRINGE", "OINTMENT", "VIAL", "INHALER", "INFUSION", "BOX", "OTHER" ]Package type.Example:BLISTERPACK -
packageTypeId: number
(BigDecimal)
Package type ID.Example:
10 -
totalKitNumbers: number
(BigDecimal)
Total kit number.Example:
105 -
updatableKitsTotal: number
(BigDecimal)
Title:
Updatable Kits TotalThe total number of kits that can be updated.
400 Response
Invalid kit status OR Invalid kit range filter OR Invalid label group in kit filters OR Invalid kit type OR Invalid Lot OR Invalid location
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object404 Response
Invalid study ID or version
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object